#!/bin/sh

#OPENLDAP_EXEC="/opt/openldap/lib64/slapd"
OPENLDAP_EXEC="/usr/sbin/slapd"

LOCALDIR="$(dirname $0)"
PWD="$(pwd)"
LDAPI_PATH="${PWD}/ldapi"
LDAPI_URI="ldapi://$(echo ${LDAPI_PATH}|sed 's\/\%2F\g')"

declare -p PWD LDAPI_URI

cd "${LOCALDIR}"

#  -d config,stats,stats2,acl,args,trace,sync

${OPENLDAP_EXEC}   \
  -d stats,shell \
  -h "ldap://0.0.0.0:9876 ${LDAPI_URI}" \
  -n slapd-sock-test \
  -f slapd.conf
