slapd_sockd
===========

A module package and some example scripts for using OpenLDAP's
_back-sock_ as backend or overlay

Author: Michael Ströder <michael@stroeder.com>

License
-------

Copyright 2015-2016 Michael Ströder <michael@stroeder.com>

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Requirements
------------

[Python](https://www.python.org), 2.6.+ recommended

[OpenLDAP 2.4.41+](https://www.openldap.org) built with _--enable-sock_

If you insist on using older OpenLDAP releases you likely run into issues
already fixed. You have been warned.

Configuration
-------------

For OpenLDAP configuration instructions see
[slapd-sock(5)](http://www.openldap.org/software/man.cgi?query=slapd-sock).

Examples
--------

The demons have to run on the same machine like OpenLDAP's slapd and open
a Unix domain socket which has to be configured in OpenLDAP's configuration.

### noop_logger.py

Only listens and always returns CONTINUE to slapd, which only works when
using back-sock as overlay.

Start the demon:

    DEBUG=yes /path/to/noop_logger.py /path/to/socket


